#ifndef __VECTOR_H__
#define __VECTOR_H__

class vector3f {
public:
  float x;
  float y;
  float z;
  float length();
  void normalise();
  vector3f operator*(vector3f x);
  vector3f operator-(vector3f x);

  vector3f operator*(float x);
  vector3f operator*(double x);
  vector3f operator-(double x);

  vector3f lerp(vector3f b, float t);

  vector3f();
  vector3f(float x, float y, float z);
};

#endif