#version 150 core

in vec3 Color;
in vec2 Texcoord;

out vec4 outColor;

uniform sampler2D tex1;
uniform sampler2D tex2;

void main()
{
    vec4 coltex1 = texture(tex1, Texcoord);
    vec4 coltex2 = texture(tex2, Texcoord);
    outColor = mix(coltex1, coltex2, 0.5) * vec4(Color, 1.0);
}