#version 150 core

in vec3 position;
in vec3 color;

out vec3 Color;
out vec3 Pos;

uniform mat4 trans;
uniform mat4 proj;
uniform mat4 view;

void main()
{
    Color = color;
    gl_Position = proj * view * trans * vec4(position, 1.0);
    Pos=(trans*vec4(position, 1.0)).xyz;
}